Package: io.vertx.groovy.ext.shell.command

## [Groovy] Class CommandProcess

- io.vertx.groovy.ext.shell.command.CommandProcess

- The command process provides interaction with the process of the command provided by Vert.x Shell.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `CommandProcess (Object delegate)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `List<String>` | `args()` @return Returns: the actual string arguments of the command
    `List<CliToken>` | `argsTokens()` @return Returns: the unparsed arguments tokens
    `CommandLine` | `commandLine()` @return Returns: the command line object or null
    `void` | `end()` End the process with the exit status
    `void` | `end(int status)` End the process.
    `CommandProcess` | `eventHandler(EventType eventType, Handler<Void> handler)`
    `Object` | `getDelegate()`
    `Session` | `session()` @return Returns: the shell session
    `CommandProcess` | `setStdin(Stream stdin)`
    `Vertx` | `vertx()` @return Returns: the current Vert.x instance
    `CommandProcess` | `write(String text)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Tty` | `eventHandler, getDelegate, height, setStdin, setStdin, stdout, width`

- - ### Constructor Detail

    - #### CommandProcess(Object delegate)

  - ### Method Detail

    - #### List<String> args()

      Returns:
        the actual string arguments of the command

    - #### List<CliToken> argsTokens()

      Returns:
        the unparsed arguments tokens

    - #### CommandLine commandLine()

      Returns:
        the command line object or null

    - #### void end()

      End the process with the exit status

    - #### void end(int status)

      End the process.

      Parameters:
        `status` - the exit status.

    - #### CommandProcess eventHandler(EventType eventType, Handler<Void> handler)

    - #### Object getDelegate()

    - #### Session session()

      Returns:
        the shell session

    - #### CommandProcess setStdin(Stream stdin)

    - #### Vertx vertx()

      Returns:
        the current Vert.x instance

    - #### CommandProcess write(String text)